% This m-file makes the figure showing the correlation in price ranking
% over time for monthly corn and rice prices

clear
clc
% cd 'C:\Users\dwi902\Dropbox\Research\Trade\Information\Empirics\Empirical context'
cd 'C:\Users\Treb Allen\Dropbox\Research\Trade\Information\Empirics\Empirical context'

% here's the correlation
    A = load('priceranks_corr_140116.out');
    A(triu(A)~=0)=NaN;
    
% getting the dates
    [X,Y] = meshgrid(728674:30:(728674+30*(size(A,1)-1)),728674:30:(728674+30*(size(A,1)-1)));
    
% here's the figure
    figure(1)
        clf
        hold on
        surfc(X,Y,A,'edgecolor','none')
        view(2)
        datetick('x','mm/yyyy')
        datetick('y','mm/yyyy')
        axis tight
    colorbar
    caxis([0,1])
    print correlationacrosstime_140116.eps -depsc
    
    figure(2)
        clf
        hold on
        surfc(X,Y,A,'edgecolor','none')
        view(2)
        datetick('x','mm/yyyy')
        datetick('y','mm/yyyy')
        axis tight
    colorbar
    colormap(gray)
    caxis([0,1])
    print correlationacrosstime_bw_140116.eps -deps